﻿using UnityEngine;
using System.Collections;

/// <summary>
/// UnityEventを受け取るテスト。
/// </summary>
public class UnityEventTest : MonoBehaviour {
	/// <summary>
	/// UIManager.
	/// </summary>
	UIManager uiManager;

	/// <summary>
	/// Awake.
	/// </summary>
	public void Awake() {
		this.uiManager = GameObject.Find("UIManager").GetComponent<UIManager>();
	}

	/// <summary>
	/// キューブを回転させる。
	/// </summary>
	public void RotateCube() {
		this.transform.Rotate(0, 10, 0);

		if (this.transform.rotation.eulerAngles.y >= 60) {
			this.uiManager.rotateEvent.RemoveListener(this.RotateCube);
			Destroy(this.gameObject);
		}
	}
}
